Bug 219964 - parted segfaults when an assertion is triggered
parted segfaults when an assertion is triggered
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: parted (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Brock Organ
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-17 17:36 EST by Peter Jones
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:50:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Jones 2006-12-17 17:36:23 EST
Description of problem:

libparted's ped_assert() prints a stack trace, modifying a pointer to do so.  It
then frees that pointer, which doesn't work.

I've fixed this in package cvs, but need the bug to commit it.
Comment 1 Peter Jones 2006-12-17 17:39:03 EST
This is a regression from old releases, and inhibits development in some
circumstances.  And the fix is trivial.
Comment 3 RHEL Product and Program Management 2007-02-07 20:50:23 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.